summaryrefslogtreecommitdiff
path: root/commit.d/40bzr-rm
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2008-03-11 15:03:24 -0400
committerJoey Hess <joey@kodama.kitenet.net>2008-03-11 15:03:24 -0400
commit6398f205b74c158eecdf2ed6a057f77f64db0340 (patch)
treee0ad2676db44d647972ea7a3fbbccb46aaa3a798 /commit.d/40bzr-rm
parent93b0abfb666273774e3c418f31396b5b5ad1c043 (diff)
* Add support for bzr, thanks to Mark A. Hershberger. Closes: #470515
(Note that bzr does not support etckeeper's pre-commit hook.)
Diffstat (limited to 'commit.d/40bzr-rm')
-rwxr-xr-xcommit.d/40bzr-rm12
1 files changed, 12 insertions, 0 deletions
diff --git a/commit.d/40bzr-rm b/commit.d/40bzr-rm
new file mode 100755
index 0000000..a13bfd7
--- /dev/null
+++ b/commit.d/40bzr-rm
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+TAB=" "
+
+if [ "$VCS" = bzr ] && [ -d .bzr ]; then
+ for file in $(bzr deleted); do
+ if [ ! -d "$file" ]; then
+ bzr rm --keep --quiet "$file"
+ fi
+ done
+fi